Bug 2571 - sets wrong charset for a forwarded recoded HTML message
: sets wrong charset for a forwarded recoded HTML message
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/pine)
: unstable
: all Linux
: P5 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-05-10 16:55 by
Modified: 2006-09-28 16:00 (History)


Attachments
0002571-pine-forw (8.48 KB, application/octet-stream)
2003-05-10 16:55, imz
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-05-10 16:55:32
see How to reproduce.

---
Work in pine with charset set to koi8-r.

The attached mbox contains two messages. When viewing the first one, it is autorecoded from \"Windows-1251\" to \"koi8-r\".
After forwarding it, the edited message is OK. But in the resulting message we get charset set to \"Windows-1251\" again, although it has been recoded to \"koi8-r\". This can be seen in the second message in the mbox.

Replying works fine.

---
pine-4.55L-alt1

This doesn\'t apply to forwarding any recoded message. It probably has to do with a special representation of the message under consideration: internally, it is regarded as a multipart message with one part -- the body in \"Windows-1251\". And at a certain stage of sending it, it gets collapsed into a plain one-part message, which gets the charset from the charset value of the part, and it was \"Windows-1251\": the valid charset for recoded message is set only for the main part before this happens, so it gets lost.

------- Comment #1 From 2006-09-27 22:22:20 -------
reassign
------- Comment #2 From 2006-09-28 15:59:40 -------
4.64L does not have this bug ---
fixed :)

------- Comment #3 From 2006-09-28 16:00:15 -------
closed old bug